package com.bocloud.cmp.model.installation;

import java.util.List;
import java.util.Map;

/**
 * Catalog实体类
 *
 * @author 007
 */
public class Catalog {
    /**
     * catalog id,"4d51e55e-97ad-4180-8a6f-03b54383a381"
     */
    private String id;
    /**
     * node信息，"/api/2.0/nodes/59fac59a26c3cb6b4a0a3b34"
     */
    private String node;
    /**
     * catalog数据
     */
    private List<Map<String, Object>> data;
    /**
     * 来源,"ipmi-fru"
     */
    private String source;

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the node
     */
    public String getNode() {
        return node;
    }

    /**
     * @param node the node to set
     */
    public void setNode(String node) {
        this.node = node;
    }

    /**
     * @return the data
     */
    public List<Map<String, Object>> getData() {
        return data;
    }

    /**
     * @param data the data to set
     */
    public void setData(List<Map<String, Object>> data) {
        this.data = data;
    }

    /**
     * @return the source
     */
    public String getSource() {
        return source;
    }

    /**
     * @param source the source to set
     */
    public void setSource(String source) {
        this.source = source;
    }
}
